package com.yx.face.model.entity;


import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * @description: 系统配置表(SystemConfig)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-26 14:08:27 <br>
 */
@Data
@Table(name = "system_config")
public class SystemConfig {


    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)

    private Integer id;

    /**
     * 设置名称
     */


    private String name;

    /**
     * 系统设置Key
     */


    @Column(name = "config_name")
    private String configName;

    /**
     * 系统设置Value
     */


    @Column(name = "config_value")
    private String configValue;

    /**
     * 备注
     */


    private String remark;

    /**
     * 停用-0|启用-1
     */


    private Integer status;

    /**
     * 系统内部配置-0|平台同步数据配置-1
     */


    private Integer type;

    /**
     * 更新时间
     */


    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */


    @Column(name = "create_time")
    private Date createTime;

}

